###########################################################
### Ch4 - Script 5 - CRISPR-Cas9 mediated genome 
###                  editing of FTb-like genes
###########################################################

###########################################################
### Theme
###########################################################
theme_set(my_theme())

###########################################################
### Expression of transformants
###########################################################

cas9_names <-  data_frame(
  sample = c(
    "B2_sg2_7",
    "B3_regeneration_control",
    "B2_sg1_7",
    "B6_sg2_4",
    "B6_sg2_5"
  ),
  name = c(
    "Batch 2\nsgRNA2 #7",
    "Regeneration\ncontrol",
    "Batch 2\nsgRNA1 #7",
    "Batch 6\nsgRNA2 #4",
    "Batch 6\nsgRNA2 #5"))

gene_expr %>% 
  filter(date %in% c('03/06/16', "18/07/16", "29/06/17")) %>%
  rt_summary() %>%
  rt_test() %>% 
  left_join(cas9_names) %>% 
  ggplot(aes(fct_relevel(name, "Regeneration\ncontrol",), mean_expr, fill = genotype)) +
  geom_col() +
  geom_errorbar(aes(ymin = mean_expr - se, ymax =  mean_expr + se), width = 0.2) +
  scale_y_continuous(expand = c(0,0), limits = c(0,1)) +
  # scale_x_discrete(labels = labels) +
  theme(axis.title.x = element_blank(), 
        legend.position= "none") +
  scale_fill_manual(values = g_colours[c(3, 4, 8)]) +
  labs(y = expression("Expression relative to"~italic("PP2A")))
  

